petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatDenseGetArray

gives read-write access to the array where the data for a dense matrix is stored

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseGetArray(Mat A,PetscScalar **array)

Logically Collective on Mat

### Input Parameter

| mat | - a dense matrix

### Output Parameter

| array | - pointer to the data

### See Also

MatDenseRestoreArray(), MatDenseGetArrayRead(), MatDenseRestoreArrayRead(), MatDenseGetArrayWrite(), MatDenseRestoreArrayWrite()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages